module Printos
  class BaseService

    def self.get_resource(resource_url, as_service=false)
      parse(PrintosRestClient.get(resource_url, as_service))
    end

    def self.post_resource(resource_url, payload, as_service=false)
      parse(PrintosRestClient.post(resource_url, payload, as_service))
    end

    def self.put_resource(resource_url, payload, as_service=false)
      parse(PrintosRestClient.put(resource_url, payload, as_service))
    end

    def self.parse(response)
      JSON.parse(response.body, symbolize_names: :true) rescue nil
    end
  end
end
