module Printos
  module Helpers

    def user_permissions
      @permissions ||= PrintosClient.get_instance.permissions
    end

    def has_admin_permission?
      user_permissions&.include?('admin')
    end

    def check_admin_permission
      redirect_to signin_url unless has_admin_permission?
    end

    def printos_login
      authenticated = false
      token = cookies[Printos.config.auth_token_key]
      if token
        begin
          PrintosClient.set_instance(token)
          authenticated = user_permissions.any?
        rescue RestClient::Unauthorized
        end
      end
      unless authenticated
        if request.format.json?
          render json: '', status: 401, head: :no_content
        else
          redirect_to signin_url
        end
      end
    end

    def signin_url
      "#{Printos.config.api_host}/start/#/signin"
    end
  end
end
